DOMElement::removeAttributeNS
DOMElement::setAttributeNode
DOMElement
PHP Manual

# DOMElement::setAttribute

(PHP 5)

DOMElement::setAttribute — Adds new attribute

### Description

DOMAttr DOMElement::setAttribute ( string `$name` , string `$value` )

Sets an attribute with name `name` to the given value. If the attribute does not exist, it will be created.

### Parameters

`name`

  The name of the attribute.

`value`

  The value of the attribute.

### Return Values

The new DOMAttr or `FALSE` if an error occured.

### Errors/Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

### Examples

Example #1 Setting an attribute

`<?php
$doc = new DOMDocument("1.0");
$node = $doc->createElement("para");
$newnode = $doc->appendChild($node);
$newnode->setAttribute("align", "left");
?>`

### See Also

- DOMElement::hasAttribute - Checks to see if attribute exists
- DOMElement::getAttribute - Returns value of attribute
- DOMElement::removeAttribute - Removes attribute

DOMElement::removeAttributeNS
DOMElement::setAttributeNode
DOMElement
PHP Manual